Package org.apache.tapestry5.internal.plastic

## Class NameCache

- java.lang.Object
- - org.apache.tapestry5.internal.plastic.NameCache

-     public class NameCache
      extends java.lang.Object

  A cache of translations from type names to internal names and descriptors, as well as a cache from MethodDescription to method descriptor.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NameCache()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toDesc​(java.lang.String typeName)` |
    `java.lang.String` | `toDesc​(MethodDescription md)` |
    `java.lang.String` | `toInternalName​(java.lang.Class type)` |
    `java.lang.String` | `toInternalName​(java.lang.String className)` |
    `java.lang.String` | `toMethodDescriptor​(java.lang.Class returnType, java.lang.Class... argumentTypes)` |
    `java.lang.String` | `toMethodDescriptor​(java.lang.String returnType, java.lang.String... argumentTypes)` |
    `java.lang.String` | `toTypeName​(java.lang.Class type)` |
    `java.lang.String[]` | `toTypeNames​(java.lang.Class... types)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameCache

          public NameCache()

  - ### Method Detail

    - #### toInternalName

          public java.lang.String toInternalName​(java.lang.String className)

    - #### toInternalName

          public java.lang.String toInternalName​(java.lang.Class type)

    - #### toDesc

          public java.lang.String toDesc​(MethodDescription md)

    - #### toDesc

          public java.lang.String toDesc​(java.lang.String typeName)

    - #### toTypeName

          public java.lang.String toTypeName​(java.lang.Class type)

    - #### toTypeNames

          public java.lang.String[] toTypeNames​(java.lang.Class... types)

    - #### toMethodDescriptor

          public java.lang.String toMethodDescriptor​(java.lang.Class returnType,
                                                     java.lang.Class... argumentTypes)

    - #### toMethodDescriptor

          public java.lang.String toMethodDescriptor​(java.lang.String returnType,
                                                     java.lang.String... argumentTypes)